
# Peertube - Ansible role
This role covers deployment, configuration and software updates of Peertube. This role is released under MIT Licence and we give no warranty for this piece of software. Currently supported OS - Debian.

You can deploy test instance using `Vagrantfile` attached to the role.

Then simply:
`vagrant up`

`ansible-playbook -b Playbooks/peertube.yml`

Then you can then access Peertube from your computer on `http://192.168.33.15` (but patient as it takes about 2 minutes to be up and ready.)


## Playbook
The playbook includes postgresql and nginx roles and deploys entire stack needed to run lemmy. Additional roles are also available in the Ansible roles repos in git.


## Tags
You can use tags when you deploy:
- `config`: to deploy just config
- `password`: to change root user password


## CHANGELOG
- **20.12.2023** - Role creation



## Still need to be fixed or done:
- At the moment, we have redis-server version 6.0.16 but we have messages in logs that say that it is highly recommended to use a minimum Redis version of 6.2.0
- Do we need to set `trust_proxy` in config file for local machine? At the moment, it works without.
- Some optionnal config on nginx are commented out coz otherwise we get some issues (like not being able to watch a video)
- Make a SQL backup from Ansible? Here is what is in official documentation:

```
SQL_BACKUP_PATH="backup/sql-peertube_prod-$(date -Im).bak" && \
    cd /var/www/peertube && sudo -u peertube mkdir -p backup && \
    sudo -u postgres pg_dump -F c peertube_prod | sudo -u peertube tee "$SQL_BACKUP_PATH" >/dev/null
```


